# (Deprecated) 계약서 등록/전자서명 요청 페이지 API

**해당 API는 더 이상 업데이트를 제공하지 않습니다. POST API를 사용해 주세요.**

계약서를 등록하거나 전자서명을 요청할 수 있는 페이지의 url을 내려줍니다. 해당 경로를 새 창이나 새 탭으로 띄워서 전자계약을 생성할 수 있습니다.

* 계약 문서를 등록하고 전자서명 정보(서명 참여자 및 서명 위치)를 입력하여 제출하면 전자서명이 시작됩니다.
* 참여자 정보에 등록한 이메일이나 전화번호로 참여 링크가 포함된 이메일/카카오톡이 발송됩니다.

<br>

## `GET` kit-api/v1/contracts/form-url

Method: GET\
Endpoint: kit-api/v1/contracts/form-url

<br>

## Example

```
...kit-api/v1/contracts/form-url
```

<br>

## Request Query

| Key               | Description                                                           | Required |
| ----------------- | --------------------------------------------------------------------- | -------- |
| successUrl        | 서명 생성을 완료한 이후 이동되는 url. encode된 url값 사용 (default로 생성된 계약서 상세 화면으로 이동) | no       |
| customerId        | 계약서 등록/전자서명 요청 시 해당 고객 정보를 연결                                         | no       |
| customerCustomKey | 계약서 등록/전자서명 요청 시 해당 고객 정보를 연결                                         | no       |
| disable           | 사용하지 않을 인풋 (현재 가능한 값: customer)                                       | no       |

<br>

## Response

```json
{
  "ok": true, // api 성공 여부
  "message": undefined, // Error가 존재하면 message(string)로 전달
  "data": {
    "url": "https://www.prix.im/..." // 계약서 및 전자서명을 등록할 수 있는 페이지 주소
  }
}
```

<br>

| Status Code | Error Code                                   | Description                |
| ----------- | -------------------------------------------- | -------------------------- |
| 400         | CONTRACT\_FORM\_URL\_INVALID\_DISABLE\_QUERY | 사용할 수 없는 disable 값을 사용한 경우 |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/signature/create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
